Summary:	A library for importing MS Works documents
Summary(pl.UTF-8):	Biblioteka importu dokumentów MS Works
Name:		libwps
Version:	0.3.0
Release:	1
License:	MPL v2.0 or LGPL v2.1+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libwps/%{name}-%{version}.tar.xz
# Source0-md5:	3c2958317878d4888804d66a203d00f8
URL:		http://libwps.sourceforge.net/
BuildRequires:	autoconf >= 0.65
BuildRequires:	automake >= 1:1.11
BuildRequires:	doxygen
BuildRequires:	librevenge-devel >= 0.0
BuildRequires:	libstdc++-devel >= 6:4.3
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.20
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libwps is a Microsoft Works file format import filter based on top of
the librevenge (which is already used in three word processors).
Currently, libwps can import all word processing Microsoft Works
formats since about 1995 with some success and some spreadsheet
Microsoft Works.

%description -l pl.UTF-8
libwps jest filtrem importu plików w formacie Microsoft Works,
opartymm na bibliotece librevenge (używanej już w trzech procesorach
tekstu). Obecnie libwps potrafi importować wszystkie formaty tekstowe
Microsoft Works od około 1995 roku oraz niektóre arkusze kalkulacyjne
Microsoft Works.

%package devel
Summary:	Header files for libwps library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libwps
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	librevenge-devel >= 0.0
Requires:	libstdc++-devel

%description devel
Header files for libwps library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libwps.

%package static
Summary:	Static libwps library
Summary(pl.UTF-8):	Statyczna biblioteka libwps
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwps library.

%description static -l pl.UTF-8
Statyczna biblioteka libwps.

%package apidocs
Summary:	API documentation for libwps library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libwps
Group:		Documentation

%description apidocs
API documentation for libwps library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libwps.

%package tools
Summary:	Tools to transform Works Documents into other formats
Summary(pl.UTF-8):	Narzędzia przekształcające dokumenty MS Works na inne formaty
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description tools
Tools to transform Works Documents (WPS) into other formats. Currently
supported: html, raw, text.

%description tools -l pl.UTF-8
Narzędzia przekształcające dokumenty MS Works (WPS) do innych
formatów. Obecnie obsługiwane: html, raw, tekst.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
# -std=c++11 is needed for std::shared_ptr
CXXFLAGS="%{rpmcxxflags} -std=c++11"
%configure \
	--disable-silent-rules \
	--enable-static \
	--with-sharedptr=c++11
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
# packaged as %doc in -devel
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}/html

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libwps-0.3.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwps-0.3.so.3

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwps-0.3.so
%{_includedir}/libwps-0.3
%{_pkgconfigdir}/libwps-0.3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwps-0.3.a

%files apidocs
%defattr(644,root,root,755)
%doc docs/doxygen/html/*

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/wks2csv
%attr(755,root,root) %{_bindir}/wks2raw
%attr(755,root,root) %{_bindir}/wks2text
%attr(755,root,root) %{_bindir}/wps2html
%attr(755,root,root) %{_bindir}/wps2raw
%attr(755,root,root) %{_bindir}/wps2text
%changelog
* Thu Oct 09 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwps.git;a=log;h=master

* Sun May 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 002477c
- updated to 0.3.0 (now librevenge based; new soname, 0.2.x left on libwps-0.2 branch)
- switched from boost::shared_ptr to C++11 std::shared_ptr

* Fri Jun 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 01e85c6
- disable -Werror for now

* Fri Jun 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 3a2af60
- updated to 0.2.9

* Thu Apr 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 13ae4c9
- updated to 0.2.8
- removed obsolete werror patch

* Mon Sep 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c72701
- rel 5; rebuild am/ac/lt

* Mon Sep 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e16ab0
- rel 4; fix build with werror

* Mon Sep 12 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cba8d1c
- release 3

* Fri Jul 22 2011 lisu <lisu@pld-linux.org> 29a3f88
- drop libtool file
- rel 2

* Sun Nov 21 2010 Jakub Bogusz <qboosh@pld-linux.org> c63ab9e
- cleanup: libwps now uses libwpd stream abstraction

* Thu Nov 18 2010 Caleb Maclennan <caleb@alerque.com> 5c28620
- Up to 0.2.0
- Bump so versions
- Requires libwpd >= 0.9
- libwps-stream libraries no longer present?

* Thu Jun 03 2010 sparky <sparky@pld-linux.org> d1655cf
- BR: doxygen

* Thu May 27 2010 Szymon Siwek <sls@pld-linux.org> 9d2a37a
- ver.   0.1.2

* Tue Jan 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 4ef0243
- more verbose files, ghost soname symlinks

* Tue Oct 23 2007 Elan Ruusamäe <glen@pld-linux.org> 4667f18
- rel 1

* Mon Apr 02 2007 sardzent <sardzent@pld-linux.org> 909d22d
- missing BR automake
- copy config.sub

* Fri Mar 30 2007 Jakub Bogusz <qboosh@pld-linux.org> 2186285
- deps

* Wed Mar 21 2007 beorn <beorn@pld-linux.org> db92e1d
- Small translation fixes

* Wed Mar 21 2007 beorn <beorn@pld-linux.org> 911ee80
- Added missing polish translations
- Fixed existing translations and UTF

* Sun Mar 18 2007 Elan Ruusamäe <glen@pld-linux.org> 2467fca
- new

